summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-08-01 21:26:28 +0000
committer Eric Hameleers <alien@slackware.com>2019-08-02 08:59:46 +0200
commit8b94ad41b1f9dc6740cc73c444e721c540e89f0d (patch)
tree9d6f9e818372d4339fd447e4389ba03911488674 /source
parentb66064e5a11b5da0941821251d7992d1741f0e74 (diff)
downloadcurrent-8b94ad41b1f9dc6740cc73c444e721c540e89f0d.tar.gz
current-8b94ad41b1f9dc6740cc73c444e721c540e89f0d.tar.xz
Thu Aug 1 21:26:28 UTC 201920190801212628
ap/mariadb-10.4.7-x86_64-1.txz: Upgraded. This update fixes bugs and security issues. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2805 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2740 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2739 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2737 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2758 (* Security fix *) kde/pykde4-4.14.3-x86_64-9.txz: Rebuilt. kde/qtruby-4.14.3-x86_64-10.txz: Rebuilt. Recompiled against QScintilla-2.11.2. kde/smokeqt-4.14.3-x86_64-6.txz: Rebuilt. Recompiled against QScintilla-2.11.2. l/PyQt-4.12.3-x86_64-1.txz: Upgraded. Thanks to alienBOB. l/QScintilla-2.11.2-x86_64-1.txz: Upgraded. Shared library .so-version bump. Thanks to alienBOB. l/sip-4.19.18-x86_64-1.txz: Upgraded. Thanks to alienBOB. xap/sane-1.0.28-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/mariadb/mariadb.SlackBuild2
-rw-r--r--source/ap/mariadb/mysql_install_db.nopam.diff18
-rw-r--r--source/kde/build/pykde42
-rw-r--r--source/kde/build/qtruby2
-rw-r--r--source/kde/build/smokeqt2
-rw-r--r--source/kde/cmake/kdepimlibs17
-rwxr-xr-xsource/kde/kde.SlackBuild8
-rw-r--r--source/kde/patch/pykde4.patch1
-rw-r--r--source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch18
-rw-r--r--source/kde/patch/smokeqt.patch1
-rw-r--r--source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff7
-rwxr-xr-xsource/l/PyQt/PyQt.SlackBuild68
-rwxr-xr-xsource/l/QScintilla/QScintilla.SlackBuild121
-rw-r--r--source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff11
-rw-r--r--source/l/sip/README.UPGRADES2
-rwxr-xr-xsource/l/sip/sip.SlackBuild96
-rwxr-xr-xsource/xap/sane/sane.SlackBuild8
17 files changed, 294 insertions, 90 deletions
diff --git a/source/ap/mariadb/mariadb.SlackBuild b/source/ap/mariadb/mariadb.SlackBuild
index 4c31d8c37..b3a2b8663 100755
--- a/source/ap/mariadb/mariadb.SlackBuild
+++ b/source/ap/mariadb/mariadb.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mariadb
VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# To reduce the package size, the embedded server may be omitted. Currently
# only amarok uses this. To build without embedded support, set this to NO.
diff --git a/source/ap/mariadb/mysql_install_db.nopam.diff b/source/ap/mariadb/mysql_install_db.nopam.diff
index d1fd2ad23..3d67d2bf5 100644
--- a/source/ap/mariadb/mysql_install_db.nopam.diff
+++ b/source/ap/mariadb/mysql_install_db.nopam.diff
@@ -1,10 +1,11 @@
---- ./scripts/mysql_install_db.sh.orig 2019-06-17 17:00:32.000000000 -0500
-+++ ./scripts/mysql_install_db.sh 2019-07-05 14:18:46.519035789 -0500
-@@ -467,23 +467,24 @@
+--- ./scripts/mysql_install_db.sh.orig 2019-08-01 13:25:00.406477885 -0500
++++ ./scripts/mysql_install_db.sh 2019-08-01 13:27:53.316490799 -0500
+@@ -480,25 +480,26 @@
if test -n "$user"
then
-- chown $user "$pamtooldir/auth_pam_tool_dir"
+- chown $user "$pamtooldir/auth_pam_tool_dir" && \
+- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
- if test $? -ne 0
- then
- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
@@ -13,7 +14,8 @@
- fi
- if test -z "$srcdir"
- then
-- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
+- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
+- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
- if test $? -ne 0
- then
- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
@@ -22,7 +24,8 @@
- fi
- fi
+ # Commented out since Slackware does not currently provide PAM:
-+ #chown $user "$pamtooldir/auth_pam_tool_dir"
++ #chown $user "$pamtooldir/auth_pam_tool_dir" && \
++ #chmod 0700 "$pamtooldir/auth_pam_tool_dir"
+ #if test $? -ne 0
+ #then
+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
@@ -31,7 +34,8 @@
+ #fi
+ #if test -z "$srcdir"
+ #then
-+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
++ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
++ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
+ # if test $? -ne 0
+ # then
+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
diff --git a/source/kde/build/pykde4 b/source/kde/build/pykde4
index 45a4fb75d..ec635144f 100644
--- a/source/kde/build/pykde4
+++ b/source/kde/build/pykde4
@@ -1 +1 @@
-8
+9
diff --git a/source/kde/build/qtruby b/source/kde/build/qtruby
index ec635144f..f599e28b8 100644
--- a/source/kde/build/qtruby
+++ b/source/kde/build/qtruby
@@ -1 +1 @@
-9
+10
diff --git a/source/kde/build/smokeqt b/source/kde/build/smokeqt
index 7ed6ff82d..1e8b31496 100644
--- a/source/kde/build/smokeqt
+++ b/source/kde/build/smokeqt
@@ -1 +1 @@
-5
+6
diff --git a/source/kde/cmake/kdepimlibs b/source/kde/cmake/kdepimlibs
new file mode 100644
index 000000000..3cdeb3970
--- /dev/null
+++ b/source/kde/cmake/kdepimlibs
@@ -0,0 +1,17 @@
+mkdir build
+cd build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DKDE_PLATFORM_FEATURE_DISABLE_DEPRECATED=TRUE \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DBoost_NO_BOOST_CMAKE=ON \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+
diff --git a/source/kde/kde.SlackBuild b/source/kde/kde.SlackBuild
index 1b58e99d2..11c8f2bd9 100755
--- a/source/kde/kde.SlackBuild
+++ b/source/kde/kde.SlackBuild
@@ -580,8 +580,14 @@ do
else
if [ -z "$PRINT_PACKAGE_NAME" ]; then
echo "${module} failed to build."
+ touch "${SLACK_KDE_BUILD_DIR}/${kde_module}.failed"
+ fi
+ # Seems counterproductive to exit upon the first package build failure. Perhaps sending it
+ # through another time would help it, if later packages fix the build environment.
+ # If you still want to exit on first failure, set $EXIT_ON_FAIL to anything.
+ if [ ! -z "$EXIT_ON_FAIL" ]; then
+ exit 1
fi
- exit 1
fi
cd - > /dev/null
done
diff --git a/source/kde/patch/pykde4.patch b/source/kde/patch/pykde4.patch
index 97bad9af4..68be53e81 100644
--- a/source/kde/patch/pykde4.patch
+++ b/source/kde/patch/pykde4.patch
@@ -3,3 +3,4 @@ zcat $CWD/patch/pykde4/0003-Fix-build-with-sip-4.19.patch.gz | patch -p1 --verbo
zcat $CWD/patch/pykde4/fix_kpythonpluginfactory_build.diff.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
zcat $CWD/patch/pykde4/Annotate-KAutoMount-as-Abstract.patch.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
zcat $CWD/patch/pykde4/pykde4-4.14.3-checkstate-sip-4.19.5.patch.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
+zcat $CWD/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
diff --git a/source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch b/source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch
new file mode 100644
index 000000000..a67888c87
--- /dev/null
+++ b/source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch
@@ -0,0 +1,18 @@
+--- ./sip/kdecore/typedefs.sip.orig 2014-08-14 15:17:11.000000000 -0500
++++ ./sip/kdecore/typedefs.sip 2019-07-31 14:22:50.591053652 -0500
+@@ -23,7 +23,7 @@
+
+ typedef long time_t;
+
+-typedef ulong size_t;
++// typedef ulong size_t;
+
+ typedef int ssize_t;
+
+@@ -1028,4 +1028,4 @@
+ return sipGetState(sipTransferObj);
+ %End
+ };
+-%End
+\ No newline at end of file
++%End
diff --git a/source/kde/patch/smokeqt.patch b/source/kde/patch/smokeqt.patch
new file mode 100644
index 000000000..a39121d4b
--- /dev/null
+++ b/source/kde/patch/smokeqt.patch
@@ -0,0 +1 @@
+zcat $CWD/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
diff --git a/source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff b/source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff
new file mode 100644
index 000000000..6f94fec56
--- /dev/null
+++ b/source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff
@@ -0,0 +1,7 @@
+--- ./qsci/qscintilla2_includes.h.orig 2013-11-24 10:25:24.000000000 -0600
++++ ./qsci/qscintilla2_includes.h 2019-07-31 16:42:20.264301942 -0500
+@@ -1,3 +1,4 @@
++#include <stdint.h> /* for uintptr_t */
+ #include <qsciabstractapis.h>
+ #include <qsciapis.h>
+ #include <qscicommand.h>
diff --git a/source/l/PyQt/PyQt.SlackBuild b/source/l/PyQt/PyQt.SlackBuild
index 6c2bd12c6..7f866e165 100755
--- a/source/l/PyQt/PyQt.SlackBuild
+++ b/source/l/PyQt/PyQt.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# Slackware build script for PyQt
@@ -29,19 +29,30 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=PyQt
-VERSION=${VERSION:-$(echo ${PKGNAM}4_gpl_x11-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo ${PKGNAM}4_gpl_x11-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i586 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+else
+ SLKCFLAGS="-O2"
fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
@@ -57,26 +68,15 @@ NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
-else
- SLKCFLAGS="-O2"
-fi
-
-PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
-PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
+
rm -rf ${PKGNAM}4_gpl_x11-$VERSION
-tar xvf $CWD/${PKGNAM}4_gpl_x11-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}4_gpl_x11-$VERSION.tar.?z || exit 1
cd ${PKGNAM}4_gpl_x11-$VERSION || exit 1
# Fix phonon detection:
@@ -91,26 +91,31 @@ find . \
# This avoids compiling a version number into KDE's .la files:
export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+export QT4DIR=/usr/lib${LIBDIRSUFFIX}/qt
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
-python3 configure.py --confirm-license --verbose
-
+python3 configure.py \
+ --confirm-license \
+ --qsci-api \
+ --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+make clean
mv $PKG/usr/bin/pyuic4 $PKG/usr/bin/pyuic4-py3
+rm -rf $PKG/$PYTHON3LIB/${PKGNAM}4/uic/port_v2/
-make clean
-
-python configure.py --confirm-license --verbose
+python2 configure.py \
+ --confirm-license \
+ --qsci-api \
+ --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
-rm -rf $PKG/$PYTHON3LIB/PyQt4/uic/port_v2/
-rm -rf $PKG/$PYTHONLIB/PyQt4/uic/port_v3/
+rm -rf $PKG/$PYTHON2LIB/${PKGNAM}4/uic/port_v3/
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -132,4 +137,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
-
diff --git a/source/l/QScintilla/QScintilla.SlackBuild b/source/l/QScintilla/QScintilla.SlackBuild
index a0fe855c0..e8ce59c73 100755
--- a/source/l/QScintilla/QScintilla.SlackBuild
+++ b/source/l/QScintilla/QScintilla.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
# Slackware build script for QScintilla
# Copyright 2008 Robby Workman <rworkman@slackware.com> Northport, AL, USA
-# Copyright 2008, 2009, 2010, 2011, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,11 +23,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Modified 2018, 2019 by Eric Hameleers <alien@slackware.com> (add Qt5 support)
+
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
VERSION=${VERSION:-$(echo ${PKGNAM}_*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -35,15 +37,14 @@ TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i586 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
@@ -77,6 +78,10 @@ cd $TMP
rm -rf ${PKGNAM}_gpl-$VERSION
tar xvf $CWD/${PKGNAM}_gpl-$VERSION.tar.?z || exit 1
cd ${PKGNAM}_gpl-$VERSION || exit 1
+
+# Fix compilation:
+zcat $CWD/QScintilla_qsciscintillabase_qurl.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -84,7 +89,72 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Define QMAKEFEATURES to that we can re-use already built libs
+# without spamming the harddisk:
+export QMAKEFEATURES=${PWD}/Qt4Qt5/features/
+
+# Conditional build of Qt5 support:
+if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
+ echo "-- Compiling Qt5 support --"
+ # QT5 support first:
+ cd Qt4Qt5
+ echo "-- >> Qt4Qt5 --"
+ qmake-qt5 \
+ -o Makefile \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
+ qscintilla.pro || exit 1
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ cd -
+
+ cd designer-Qt4Qt5
+ echo "-- >> designer-Qt4Qt5 --"
+ qmake-qt5 \
+ -o Makefile \
+ INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
+ designer.pro || exit 1
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ cd -
+
+ cd Python
+ echo "-- >> Python --"
+ python3 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake-qt5 \
+ --pyqt=PyQt5 \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make || exit 1
+ make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+
+ make clean || exit 1
+
+ python2 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake-qt5 \
+ --pyqt=PyQt5 \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make || exit 1
+ make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ cd -
+
+ # In order to compile Qt4 support next, clean up first:
+ make clean -C Qt4Qt5 || exit 1
+ make clean -C designer-Qt4Qt5 || exit 1
+ make clean -C Python || exit 1
+fi
+
+# QT4 SUPPORT CURRENTLY DOES NOT COMPILE...
+# /usr/lib64/qt/include/QtCore/qglobal.h:2242:20: error: invalid application of 'sizeof' to incomplete type 'QUrl'
+# QT4 support:
+echo "-- Compiling Qt4 support --"
cd Qt4Qt5
+ echo "-- >> Qt4Qt5 --"
qmake \
-o Makefile \
QMAKE_CFLAGS+="$SLKCFLAGS" \
@@ -92,13 +162,13 @@ cd Qt4Qt5
qscintilla.pro || exit 1
make $NUMJOBS || exit 1
make install INSTALL_ROOT=$PKG || exit 1
- # Yes, we'll spam the dev environment so we can build the other parts.
- make install || exit 1
cd -
cd designer-Qt4Qt5
+ echo "-- >> designer-Qt4Qt5 --"
qmake \
-o Makefile \
+ INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
QMAKE_CFLAGS+="$SLKCFLAGS" \
QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
designer.pro || exit 1
@@ -107,20 +177,29 @@ cd designer-Qt4Qt5
cd -
cd Python
- python3 configure.py || exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ echo "-- >> Python --"
+ python3 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make -j1 || exit 1
+ make -j1 install INSTALL_ROOT=$PKG || exit 1
make clean || exit 1
- python configure.py || exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ python2 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make -j1 || exit 1
+ make -j1 install INSTALL_ROOT=$PKG || exit 1
cd -
-# Link the shared libraries into /usr/lib${LIBDIRSUFFIX}:
+# Link the shared qt4 libraries into /usr/lib${LIBDIRSUFFIX}:
( cd $PKG/usr/lib${LIBDIRSUFFIX}
- for file in qt/lib/*.so* ; do
+ for file in $(ls -1 qt/lib/*.so* 2>/dev/null) ; do
ln -sf $file .
done
)
@@ -130,7 +209,8 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- *GPL* COPYING* LICENSE NEWS OPENSOURCE-NOTICE.TXT README* doc/html-Qt4 doc/Scintilla \
+ LICENSE NEWS README* \
+ doc/html-Qt4Qt5 doc/Scintilla \
$PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
@@ -138,4 +218,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff b/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff
new file mode 100644
index 000000000..9720a4ba1
--- /dev/null
+++ b/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff
@@ -0,0 +1,11 @@
+--- QScintilla_gpl-2.11.1/Qt4Qt5/qsciscintillabase.cpp.orig
++++ QScintilla_gpl-2.11.1/Qt4Qt5/qsciscintillabase.cpp
+@@ -37,6 +37,7 @@
+ #include <QScrollBar>
+ #include <QStyle>
+ #include <QTextCodec>
++#include <QUrl>
+
+ #include "SciAccessibility.h"
+ #include "ScintillaQt.h"
+
diff --git a/source/l/sip/README.UPGRADES b/source/l/sip/README.UPGRADES
deleted file mode 100644
index 82bdb42d0..000000000
--- a/source/l/sip/README.UPGRADES
+++ /dev/null
@@ -1,2 +0,0 @@
-When upgrading SIP, please test that PyQt and pykde4 (or Plasma 5 equivalent)
-still compile properly.
diff --git a/source/l/sip/sip.SlackBuild b/source/l/sip/sip.SlackBuild
index 01450e395..b8c898c52 100755
--- a/source/l/sip/sip.SlackBuild
+++ b/source/l/sip/sip.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/bash
+#!/bin/sh
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,27 +28,26 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i586 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
- echo "$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz"
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
exit 0
fi
@@ -64,11 +63,11 @@ else
SLKCFLAGS="-O2"
fi
-PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
-PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON2VER=$(python2 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
+PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' 2>/dev/null )
-PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
-PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -79,6 +78,7 @@ cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -86,26 +86,84 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+python2 configure.py \
+ -b "/usr/bin" \
+ -d "$PYTHON2LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Add the PyQt4 private sip module:
+make clean
+python2 configure.py \
+ --sip-module PyQt4.sip \
+ --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON2LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Add the PyQt5 private sip module:
+make clean
+python2 configure.py \
+ --sip-module PyQt5.sip \
+ --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON2LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Rename to avoid a clash:
+mv $PKG/usr/bin/sip $PKG/usr/bin/sip2
+
+make clean
+
python3 configure.py \
-b "/usr/bin" \
-d "$PYTHON3LIB" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" || exit 1
-
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-mv $PKG/usr/bin/sip $PKG/usr/bin/sip3
-
-python configure.py \
+# Add the PyQt4 private sip module:
+make clean
+python3 configure.py \
+ --sip-module PyQt4.sip \
+ --no-tools \
-b "/usr/bin" \
- -d "$PYTHONLIB" \
+ -d "$PYTHON3LIB" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+# Add the PyQt5 private sip module:
+make clean
+python3 configure.py \
+ --sip-module PyQt5.sip \
+ --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON3LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Rename to avoid a clash:
+mv $PKG/usr/bin/sip $PKG/usr/bin/sip3
+
+# Create a symbolic link 'sip' pointing to the sip3 binary:
+ln -s sip3 $PKG/usr/bin/sip
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/xap/sane/sane.SlackBuild b/source/xap/sane/sane.SlackBuild
index 13f614451..fbb0b17fe 100755
--- a/source/xap/sane/sane.SlackBuild
+++ b/source/xap/sane/sane.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2018 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2018, 2019 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sane
-VERSION=1.0.27
-BACKVER=1.0.27
+VERSION=1.0.28
+BACKVER=1.0.28
FRONTVER=1.0.14
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then